import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/u_k_template_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/u_k_template_entity.g.dart';

@JsonSerializable()
class UKTemplateEntity {
	int total = 0;
	List<UKTemplateRows> rows = [];

	UKTemplateEntity();

	factory UKTemplateEntity.fromJson(Map<String, dynamic> json) => $UKTemplateEntityFromJson(json);

	Map<String, dynamic> toJson() => $UKTemplateEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class UKTemplateRows {
	String? id;
	@JSONField(name: "job_title")
	String? jobTitle;
	String? vehicle;
	String? certificate;
	@JSONField(name: "created_by")
	String? createdBy;
	@JSONField(name: "created_at")
	String? createdAt;

	UKTemplateRows();

	factory UKTemplateRows.fromJson(Map<String, dynamic> json) => $UKTemplateRowsFromJson(json);

	Map<String, dynamic> toJson() => $UKTemplateRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}